{
  "name": "@manganese/core-kit",
  "description": "",
  "version": "3.0.1",
  "keywords": [],
  "homepage": "https://gitlab.com/manganese/kits/core-kit/core-kit-typescript#readme",
  "author": {
    "name": "Samuel Goodell"
  },
  "repository": {
    "type": "git",
    "url": "git+ssh://git@gitlab.com/manganese/kits/core-kit/core-kit-typescript.git"
  },
  "bugs": {
    "url": "https://gitlab.com/manganese/kits/core-kit/core-kit-typescript/-/issues"
  },
  "engines": {
    "node": ">=16.0.0"
  },
  "deprecated": false,
  "scripts": {
    "clean": "rm -rf dist public node_modules package-lock.json",
    "build": "webpack",
    "build:development": "NODE_ENV=development webpack",
    "build:production": "NODE_ENV=production webpack",
    "document": "npm exec -- typedoc ./src --out public"
  },
  "main": "./dist/index.js",
  "prettier": "@manganese/prettier-configuration",
  "devDependencies": {
    "@babel/core": "^7.18.13",
    "@babel/preset-env": "^7.18.10",
    "@manganese/prettier-configuration": "^1.0",
    "babel-loader": "^8.2.5",
    "babel-preset-es2015": "^6.24.1",
    "ts-loader": "^9.3.1",
    "typedoc": "^0.25.3",
    "typescript": "^4.8.2",
    "webpack": "^5.74.0",
    "webpack-cli": "^4.10.0"
  }
}
